Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1275506 - [userinterface_public_545]Can not jump to pod page by clicking a standalone pod's circle icon on the overview page.
Summary: [userinterface_public_545]Can not jump to pod page by clicking a standalone p...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-27 06:41 UTC by Yanping Zhang
Modified: 2015-11-23 21:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-23 21:18:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yanping Zhang 2015-10-27 06:41:20 UTC
Description of problem:
Create a pod directly without dc/rc, then click the circle icon of the pod on the overview page, it doesn't jump to the pod page. But if the pod is created from dc/rc, it can jump to pod page by clicking pod's circle icon on overview page.

Version-Release number of selected component (if applicable):
openshift v1.0.6-964-g814c05e
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4
etcd 2.1.2

How reproducible:
Always

Steps to Reproduce:
1.Create a pod directly without dc/rc.
$oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/pods/pod_with_two_containers.json -n pro1
2.Create app.
$oc create -f origin/examples/sample-app/application-template-stibuild.json -n pro1
$oc new-app ruby-helloworld-sample -n pro1
3.Click the standalone pod's circle icon on overview page.
4.Click the database pod's circle icon on overview page.

Actual results:
3.Doesn't jump to pod page.
4.Jump to pod page.

Expected results:
3.4 Should have same action after clicking the circle icon.

Additional info:

Comment 1 Samuel Padgett 2015-10-27 16:26:29 UTC
https://github.com/openshift/origin/pull/5420

Comment 2 Yanping Zhang 2015-10-28 02:59:45 UTC
Tested on latest origin code.
openshift v1.0.6-997-gff3b522
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4
etcd 2.1.2

Now could jump to pod page from overview page for any kind of pods, the issue has been fixed , so move the bug to Verified.


Note You need to log in before you can comment on or make changes to this bug.